import hu.elte.geometry.Circle;
import hu.elte.geometry.Point;

class Intersection {

    public static void main(String[] args) {
        Circle circle1 = new Circle(new Point(0, 0), 2);
        Circle circle2 = new Circle(new Point(0, 4), 3);
        Circle circle3 = new Circle(new Point(10, 10), 5);

        assertTrue(circle1.intersects(circle2));
        assertTrue(circle2.intersects(circle1));

        assertFalse(circle1.intersects(circle3));
        assertFalse(circle2.intersects(circle3));

        System.out.println("Tests passed");
    }

    private static void assertFalse(boolean value) {
        if (value) {
            throw new AssertionError("Expected: false, got: true");
        }
    }

    private static void assertTrue(boolean value) {
        if (!value) {
            throw new AssertionError("Expected: true, got: false");
        }
    }
}